Reply to topic

How to build Rekonq with QtWebkit 2.3 beta

rraab
Karma
0
Hi all,

So I've built QtWebkit 2.3 beta 2, and then built kwebkitpart against that QtWebkit (using -DQT_QTWEBKIT_INCLUDE_DIR -DQT_QTWEBKIT_LIBRARY_RELEASE on cmake). Now how do I specify in Rekonq's build process to use my own kwebkitpart/qtwebkit?
User avatar bcooksley
Administrator
Posts
18669
Karma
83
OS
If you set the environment variable "CMAKE_PREFIX_PATH" to the path where you have installed QtWebkit 2.3 and kwebkit, then it should pick them up instead of your system wide Qt Webkit.

You may need to pass other CMake arguments to enable use of QtWebkit 2.3 in Rekonq though - or you may need to use an alternative branch of the source code.


System Settings and Device Actions KCM maintainer
Image
rraab
Registered Member
Posts
3
Karma
0
Thanks-- I passed instead the same CMake arguments I used to build kwebkitpart and it seems to have worked.

Does anyone know if QtWebkit 2.3 final will be included with the rest of Qt 4.8, ergo packaged by distros?
User avatar bcooksley
Administrator
Posts
18669
Karma
83
OS
I would recommend following the Qt development mailing list for answers to such questions.


System Settings and Device Actions KCM maintainer
Image

 
Reply to topic

Bookmarks



Who is online

Registered users: apater, areid, Baidu [Spider], Bing [Bot], braystacey, edmael, einar, Exabot [Bot], garthecho, Google [Bot], google01103, ivan, jensreuterberg, joaob, jpwhiting, jstaniek, La Ninje, lazyit, Majestic-12 [Bot], mmistretta, MSN [Bot], pedrorodriguez, salvochea, scottpetrovic, scummos, SeaJey, SecretCode, slangkamp, slawekk, Sogou [Bot], SysGhost, TheraHedwig, tienhung, Tioz, VP1986, Yahoo [Bot], šumski